package com.kingdee.eas.custom.bill.salary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSalaryBagEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractSalaryBagEntryInfo()
    {
        this("id");
    }
    protected AbstractSalaryBagEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.bill.salary.SalaryBagInfo getBill()
    {
        return (com.kingdee.eas.custom.bill.salary.SalaryBagInfo)get("bill");
    }
    public void setBill(com.kingdee.eas.custom.bill.salary.SalaryBagInfo item)
    {
        put("bill", item);
    }
    /**
     * Object:分录's 生效日期property 
     */
    public java.util.Date getBizDate()
    {
        return getDate("bizDate");
    }
    public void setBizDate(java.util.Date item)
    {
        setDate("bizDate", item);
    }
    /**
     * Object:分录's 备注property 
     */
    public String getDescription()
    {
        return getString("description");
    }
    public void setDescription(String item)
    {
        setString("description", item);
    }
    /**
     * Object:分录's 月份property 
     */
    public java.util.Date getMonths()
    {
        return getDate("months");
    }
    public void setMonths(java.util.Date item)
    {
        setDate("months", item);
    }
    /**
     * Object:分录's 金额property 
     */
    public java.math.BigDecimal getMoneys()
    {
        return getBigDecimal("moneys");
    }
    public void setMoneys(java.math.BigDecimal item)
    {
        setBigDecimal("moneys", item);
    }
    /**
     * Object:分录's 变更前金额property 
     */
    public java.math.BigDecimal getBeforeAmount()
    {
        return getBigDecimal("beforeAmount");
    }
    public void setBeforeAmount(java.math.BigDecimal item)
    {
        setBigDecimal("beforeAmount", item);
    }
    /**
     * Object:分录's 补发金额property 
     */
    public java.math.BigDecimal getReissueAmount()
    {
        return getBigDecimal("reissueAmount");
    }
    public void setReissueAmount(java.math.BigDecimal item)
    {
        setBigDecimal("reissueAmount", item);
    }
    /**
     * Object:分录's 应发金额property 
     */
    public java.math.BigDecimal getAmountPayable()
    {
        return getBigDecimal("amountPayable");
    }
    public void setAmountPayable(java.math.BigDecimal item)
    {
        setBigDecimal("amountPayable", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("56660636");
    }
}